Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
VOL_user_hooks Class Referenceabstract

The user hooks should be overridden by the user to provide the problem specific routines for the volume algorithm. More...

`#include <OsiTestSolver.hpp>`

Inheritance diagram for VOL_user_hooks:
[legend]

## Public Member Functions
virtual | ~VOL_user_hooks ()
virtual int | compute_rc (const VOL_dvector &u, VOL_dvector &rc)=0
| compute reduced costs More...
virtual int | solve_subproblem (const VOL_dvector &dual, const VOL_dvector &rc, double &lcost, VOL_dvector &x, VOL_dvector &v, double &pcost)=0
| Solve the subproblem for the subgradient step. More...
virtual int | heuristics (const VOL_problem &p, const VOL_dvector &x, double &heur_val)=0
| Starting from the primal vector x, run a heuristic to produce an integer solution. More...

## Detailed Description

The user hooks should be overridden by the user to provide the problem specific routines for the volume algorithm.

The user should derive a class ...

for all hooks: return value of -1 means that volume should quit

Definition at line 565 of file OsiTestSolver.hpp.

## Constructor & Destructor Documentation

virtual VOL_user_hooks::~VOL_user_hooks | ( |  | ) |
| inline virtual

Definition at line 567 of file OsiTestSolver.hpp.

## Member Function Documentation

virtual int VOL_user_hooks::compute_rc | ( | const VOL_dvector & | u,
|  | VOL_dvector & | rc
| ) |  |
| pure virtual

compute reduced costs

Parameters

  u | (IN) the dual variables
  rc | (OUT) the reduced cost with respect to the dual values

Implemented in OsiTestSolverInterface.

virtual int VOL_user_hooks::solve_subproblem | ( | const VOL_dvector & | dual,
|  | const VOL_dvector & | rc,
|  | double & | lcost,
|  | VOL_dvector & | x,
|  | VOL_dvector & | v,
|  | double & | pcost
| ) |  |
| pure virtual

Solve the subproblem for the subgradient step.

Parameters

  dual | (IN) the dual variables
  rc | (IN) the reduced cost with respect to the dual values
  lcost | (OUT) the lagrangean cost with respect to the dual values
  x | (OUT) the primal result of solving the subproblem
  v | (OUT) b-Ax for the relaxed constraints
  pcost | (OUT) the primal objective value of `x`

Implemented in OsiTestSolverInterface.

virtual int VOL_user_hooks::heuristics | ( | const VOL_problem & | p,
|  | const VOL_dvector & | x,
|  | double & | heur_val
| ) |  |
| pure virtual

Starting from the primal vector x, run a heuristic to produce an integer solution.

Parameters

  x | (IN) the primal vector
  heur_val | (OUT) the value of the integer solution (return `COIN_DBL_MAX` here if no feas sol was found

Implemented in OsiTestSolverInterface.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Osi/test/OsiTestSolver.hpp